Create
curl --request POST \
--url https://api.hubapi.com/crm/task-series/2026-09-beta \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"taskId": 123
}
'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09-beta"
payload = {
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"taskId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {},
series: {
repeatInterval: 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
repeatStatus: '<string>',
startsAt: '2023-11-07T05:31:56Z'
},
taskId: 123
})
};
fetch('https://api.hubapi.com/crm/task-series/2026-09-beta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Task series
Create a recurring task
Create a new task series in the HubSpot CRM. This endpoint allows you to start a series of tasks by providing the necessary properties and series details. It is useful for automating repetitive task sequences within your CRM workflows.
POST
/
crm
/
task-series
/
2026-09-beta
Create
Supported products
Supported products
Scope requirements
Scope requirements
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
successful operation
The unique identifier for the task series, represented as a string.
A map of custom property names to their values, where each value is a string.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The date and time when the task series was created, in ISO 8601 format.
The date and time when the task series was last updated, in ISO 8601 format.
Last modified on July 31, 2026
Was this page helpful?
⌘I